View Issue Details

IDProjectCategoryView StatusLast Update
0006207CentOS-6openssl-develpublic2013-10-02 20:26
Reporterjorhett 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSCentOSOS Version6.3
Product Version6.3 
Target VersionFixed in Version6.4 
Summary0006207: OpenSSL pkgconfig files contain invalid lib path - can't build RPMs with openssl dependencies
DescriptionRedhat shipped three broken rpm package includes in openssl-1.0.0.

Details are here: https://bugzilla.redhat.com/show_bug.cgi?id=593723

The fix is really simple:

$ sudo sed -i -e 's/lib6464/lib64/' /usr/lib64/pkgconfig/libcrypto.pc
$ sudo sed -i -e 's/lib6464/lib64/' /usr/lib64/pkgconfig/libssl.pc
$ sudo sed -i -e 's/lib6464/lib64/' /usr/lib64/pkgconfig/openssl.pc
Steps To Reproducecat /usr/lib64/pkgconfig/libcrypto.pc
TagsNo tags attached.

Activities

toracat

toracat

2013-01-20 21:23

manager   ~0016308

It is filed against RHEL 6 here:

https://bugzilla.redhat.com/show_bug.cgi?id=770872

CentOS gets the fix only when it is fixed upstream.
tigalch

tigalch

2013-10-02 20:26

manager   ~0018131

Reported as SOLVED with errata http://rhn.redhat.com/errata/RHBA-2013-0443.html upstream.

Issue History

Date Modified Username Field Change
2013-01-20 18:58 jorhett New Issue
2013-01-20 21:23 toracat Note Added: 0016308
2013-01-20 21:24 toracat Status new => confirmed
2013-10-02 20:26 tigalch Note Added: 0018131
2013-10-02 20:26 tigalch Status confirmed => resolved
2013-10-02 20:26 tigalch Fixed in Version => 6.4
2013-10-02 20:26 tigalch Resolution open => fixed